# Payment

Sends an amount in a specific asset to a destination account.

See the [`Payment` errors](/api/errors/result-codes/operation-specific/payment.md).

ATTRIBUTE&#x20;

* asset\_type `string`

  The type of asset being sent. Either `native`, `credit_alphanum4`, or `credit_alphanum12`.
* asset\_code `string`

  The code for the asset being sent. Appears if the `asset_type` is not `native`.
* asset\_issuer `string`

  The Stellar address of the issuer of the asset being sent. Appears if the `asset_type` is not `native`.
* from `string`

  The payment sender’s public key.
* to `string`

  The payment recipient’s public key.
* amount `string`

  Amount sent.

```bash
{
  "_links": {
    "self": {
      "href": "https://expansion-testnet.bantu.network/operations/122511124621283329"
    },
    "transaction": {
      "href": "https://expansion-testnet.bantu.network/transactions/452a180790caf4dbe658d996316cd727ce5573f5f0a77790da540cc49214fe80"
    },
    "effects": {
      "href": "https://expansion-testnet.bantu.network/operations/122511124621283329/effects"
    },
    "succeeds": {
      "href": "https://expansion-testnet.bantu.network/effects?order=desc\u0026cursor=122511124621283329"
    },
    "precedes": {
      "href": "https://expansion-testnet.bantu.network/effects?order=asc\u0026cursor=122511124621283329"
    }
  },
  "id": "122511124621283329",
  "paging_token": "122511124621283329",
  "transaction_successful": true,
  "source_account": "GCAXBKU3AKYJPLQ6PEJ6L47KOATCYCBJ2NFRGAK7FUUA2DCEUC265SU2",
  "type": "payment",
  "type_i": 1,
  "created_at": "2020-03-04T22:46:47Z",
  "transaction_hash": "452a180790caf4dbe658d996316cd727ce5573f5f0a77790da540cc49214fe80",
  "asset_type": "credit_alphanum4",
  "asset_code": "NGNT",
  "asset_issuer": "GAWODAROMJ33V5YDFY3NPYTHVYQG7MJXVJ2ND3AOGIHYRWINES6ACCPD",
  "from": "GCAXBKU3AKYJPLQ6PEJ6L47KOATCYCBJ2NFRGAK7FUUA2DCEUC265SU2",
  "to": "GC2QCKFI3DOBEYVBONPVNA2PMLU225IKKI6XPENMWR2CTWSFBAOU7T34",
  "amount": "5.0000000"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.docs.bantufoundation.org/api/resources/operations/object/payment.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
